WoMax Documentation

# t_OMax_read Struct Reference
[Max5 Externals, Factor Oracle structure]

OMax.read external. More...

Collaboration diagram for t_OMax_read:
[legend]

List of all members.

## Public Attributes
t_object | ob
| Pointer to the object itself.
t_symbol * | oname
| Pointer to FO name.
bool | obound
| Binding flag.
O_oracle * | oracle
| Pointer to FO structure.
void * | out_statenb
| Outlet 0 (leftmost): state number.
void * | out_trans
| Outlet 1: transitions.
void * | out_suff
| Outlet 2: suffix & lrs.
void * | out_rsuff
| Outlet 3: reverse suffix with lrs.
void * | out_bang
| Outlet 4: bang when done.
## Standard Max5 methodes
void * | OMax_read_new (t_symbol *s, long argc, t_atom *argv)
| Object instantiation.
void | OMax_read_free (t_OMax_read *x)
| Object destruction.
void | OMax_read_assist (t_OMax_read *x, void *b, long io, long index, char *s)
| Inlet/Outlet contextual information when patching in Max5.
## Internal routines
bool | OMax_read_bind (t_OMax_read *x)
| Bind the reader with FO.
## Input/Output routines
void | OMax_read_setname (t_OMax_read *x, t_symbol *s)
| Changes the OMax.oracle object to read.
void | OMax_read_read (t_OMax_read *x, long statnb)
| Output all the information of a state.

## Detailed Description

OMax.read external.

This externals allows to read an FO structure (implemented with the external OMax.oracle ) in Max5

Definition at line 29 of file OMax.read.c.

## Member Function Documentation

bool OMax_read_bind | ( | t_OMax_read * | x | ) |

Bind the reader with FO.

Remarks:
  Do this binding only once

Check if FO name points to an existing OMax.oracle object. If so, set t_OMax_read::oracle to point to the FO structure (t_OMax_oracle::oracle member)

Definition at line 178 of file OMax.read.c.

void * OMax_read_new | ( | t_symbol * | s,
|  | long | argc,
|  | t_atom * | argv |
| ) |  |  |

Object instantiation.

Check first argument of the Max5 object for a FO name

Definition at line 92 of file OMax.read.c.

void OMax_read_read | ( | t_OMax_read * | x,
|  | long | statnb |
| ) |  |  |

Output all the information of a state.

Remarks:
  Input message in Max5: a state number (`int`)

Definition at line 216 of file OMax.read.c.

Here is the call graph for this function:

void OMax_read_setname | ( | t_OMax_read * | x,
|  | t_symbol * | s |
| ) |  |  |

Changes the OMax.oracle object to read.

Remarks:
  Input message in Max5: `set` followed by the name of an existing 0Max.oracle object to read

Definition at line 206 of file OMax.read.c.

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- OMax.read.c